// creator  : weidu.exe (version 23100)
// argument : FLAM4.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FLAM4~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 14 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #4667 /* ~Petrified Woman~ */
  IF ~~ THEN REPLY #4668 /* ~You turn the wheel with all your strength.  From the west you hear a loud creaking as if a door were being closed.~ */ GOTO 1
  IF ~~ THEN REPLY #4669 /* ~Your foolish actions have caused the death of a valuable tool... penance shall be paid with your spilt blood.~ */ GOTO 2
  IF ~~ THEN REPLY #4670 /* ~Dead~ */ GOTO 3
  IF ~~ THEN REPLY #4671 /* ~Goblin Commando~ */ GOTO 4
  IF ~~ THEN REPLY #4672 /* ~Goblin Commando~ */ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #4673 /* ~Dream Vision~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #4674 /* ~Dream Vision~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #4675 /* ~Elf Female~ */
  IF ~PartyHasItem("MISC13")
~ THEN JOURNAL #6613 /* ~Perform Bodhi's tasks to receive her aid.

I have returned the smuggled goods to Bodhi, and she has given me a second task now.  I am to go to the Shadow Thief guild headquarters in the Docks District and rescue a traitor they are holding there by the name of Palern Flynn.  The mission requires that the man live, naturally, and Bodhi tells me the Shadow Thieves are interrogating him... and that I must move quickly before they kill him.  He is to be found on the second floor of the building.~ */ GOTO 13
  IF ~!PartyHasItem("MISC13")
~ THEN GOTO 11
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #4676 /* ~Elf Female~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #4677 /* ~Elf Male~ */
  IF ~~ THEN REPLY #4678 /* ~Elf Male~ */ GOTO 6
  IF ~~ THEN REPLY #4679 /* ~Retrieve Haer'Dalis' gem.

I have freed a man named Haer'Dalis, who was bound magically as a slave to the wizard, Mekrath.  He bade me before he left to find a gem of his still in Mekrath's house.  Once I have it, I am to bring it to one named Raelis at the playhouse beneath the Five Flagons Inn in the Bridge District for a reward.~ */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #4680 /* ~Retrieve Haer'Dalis' gem.

I have freed a man named Haer'Dalis... an actor magically enslaved to the wizard Mekrath... who has joined my group and bade me to find a gem of his still in Mekrath's house.  Once it is located, I should seek out Raelis Shai at his playhouse beneath the Five Flagons Inn in the Bridge District for a reward.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #4681 /* ~Beeloo Jansen~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 14 even though they appear after this state */
~!PartyHasItem("MISC13")
~ THEN BEGIN 8 // from:
  SAY #5157 /* ~I don't want to talk about this, Yoshimo.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 14 even though they appear after this state */
~PartyHasItem("MISC13")
~ THEN BEGIN 9 // from:
  SAY #5160 /* ~In my profession, Bhaal was once the foremost power.  I cannot help but be curious.~ */
  IF ~~ THEN REPLY #5168 /* ~But you do have special powers that come from your heritage, do you not?~ */ GOTO 10
  IF ~~ THEN REPLY #5171 /* ~Minor powers only. Nothing even remotely god-like.~ */ GOTO 10
  IF ~~ THEN REPLY #5175 /* ~I tire of this conversation. We have things to accomplish. Let us travel onwards.~ */ GOTO 11
  IF ~~ THEN REPLY #5179 /* ~I see.  It is something of a curiosity to me. In my profession, Bhaal was once the foremost power.  I cannot help but be curious.~ */ GOTO 12
END

IF ~~ THEN BEGIN 10 // from: 13.1 9.1 9.0
  SAY #5183 /* ~Statue~ */
  IF ~~ THEN REPLY #5196 /* ~I hope my master appreciates my effort~ */ GOTO 12
  IF ~~ THEN REPLY #5199 /* ~<DAMAGEE> was immune to my damage.~ */ DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 13.2 13.0 9.2 3.1
  SAY #5185 /* ~Statue~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 13.3 10.0 9.3
  SAY #5191 /* ~The power core of the sphere roars to life, distorting space as it races through the planes.  After a few minutes the sphere lurches, the power fades, and the power core fizzles.  The sphere has taken its last planar jaunt.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC13")
GivePartyGold(50)
~ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 14 even though they appear after this state */
~PartyHasItem("MISC13")
~ THEN BEGIN 13 // from: 3.0
  SAY #5251 /* ~Oops!~ */
  IF ~~ THEN REPLY #5254 /* ~The Exile returns.~ */ GOTO 11
  IF ~~ THEN REPLY #5257 /* ~Run, he comes this way!~ */ GOTO 10
  IF ~~ THEN REPLY #5259 /* ~Level up results~ */ GOTO 11
  IF ~~ THEN REPLY #5261 /* ~Regained abilities from inactive class~ */ GOTO 12
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 14 // from:
  SAY #6935 /* ~Hey, Edwina!  I shall be your champion at the next tournament that we come to if only you give me a piece of your robe, uh, that is, dress to adorn my shield.~ [ANOMEN49] */
  IF ~~ THEN JOURNAL #6934 /* ~Getting Inside the Asylum

I got inside the guildhouse through the hiring of one of the courtesans... and at their hue and cry the entire guild has been roused.  Time to fight.~ */ EXIT
END

IF ~~ THEN BEGIN 15 // from:
  SAY #9011 /* ~ I can't help but remember what the forests in the north looked like from the sky.  They're... they're so majestic!~ [AERIE16] */
  IF ~~ THEN EXIT
END
